Subject: bug#21554: no previous prototype for 'set_binary_mode'

From: Benno Schulenberg <[email-masked]>
Date: Fri, 25 Sep 2015 12:07:40 +0200

On Fri, Sep 25, 2015, at 09:29, Benno Schulenberg wrote:
> On Thu, Sep 24, 2015, at 22:32, Eric Blake wrote:
> > On which platform are you testing?
> 
> Ubuntu Lucid.
> 
> $ gcc --version | head -1
> gcc (Ubuntu 4.4.3-4ubuntu5.1) 4.4.3
> 
> > Are you sure you have a matching
> > gnulib submodule checkout to go along with the grep.git checkout you are
> > attempting?
> 
> I've rerun ./bootstrap.

Oh -- to get through the bootstrap stage, I've had to make the
following few changes, a slight lowering of the requirements:

diff --git a/Makefile.am b/Makefile.am
index 3a2ed84..e084c9e 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -15,7 +15,9 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-AUTOMAKE_OPTIONS = gnu 1.12
+AUTOMAKE_OPTIONS = gnu 1.11.1
+
+ACLOCAL_AMFLAGS = -I m4
 
 SUBDIRS = po lib doc src tests gnulib-tests
 
diff --git a/configure.ac b/configure.ac
index 3f6d389..608fff7 100644
--- a/configure.ac
+++ b/configure.ac
@@ -66,7 +66,6 @@ AC_CONFIG_AUX_DIR(build-aux)
 AC_CONFIG_SRCDIR(src/grep.c)
 AC_DEFINE([GREP], 1, [We are building grep])
 AC_PREREQ(2.59)
-AC_CONFIG_MACRO_DIRS([m4])
 
 dnl Automake stuff.
 AM_INIT_AUTOMAKE([1.11 no-dist-gzip dist-xz color-tests parallel-tests
@@ -180,7 +179,7 @@ AC_FUNC_CLOSEDIR_VOID
 AC_CHECK_FUNCS_ONCE(isascii setlocale)
 
 dnl I18N feature
-AM_GNU_GETTEXT_VERSION([0.18.2])
+AM_GNU_GETTEXT_VERSION([0.17])
 AM_GNU_GETTEXT([external])
 
 dnl Some installers want to be informed if we do not use our regex.

Benno

-- 
http://www.fastmail.com - The way an email service should be